Bug 88477 - UI: No Different Icons for Selection Mode in Status Bar
Summary: UI: No Different Icons for Selection Mode in Status Bar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Statusbar Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2015-01-15 22:49 UTC by Harald Koester
Modified: 2020-12-21 03:43 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
selection mode status bar icon (7.49 KB, image/png)
2015-01-17 09:27 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2015-01-15 22:49:04 UTC
In the status bar you can select 4 different selection modes. But the according icon displayed in the status bar is always the same. According my understanding the main task of the status bar is the display of different program, editing, system, etc. states in order to support the user during editing. This is not the case with the selection mode. Hence I expect different icons for the 4 modes.
Comment 1 tommy27 2015-01-17 09:26:55 UTC
I confirm that. the icon always look the same.
In OOo 3.3.0 and LibO 3.5.7 there was text instead of icon (STD, EXT, AGG, BLK) and you had to left click on it to change the selection mode, while right click had no effect

as far as I see that clickable text was changed into an icon in LibO 3.6.0
now either left or ricgjt click open a popup menu where to select the desired mode, however the icon doesn't change according to the selection so you have no visual hint to know which one is the current mode.

I think the icons should change somohow to give the user that visual hint that the old text gave in the past

I'd leave the icon unchanged but with a small letter close to it, referring to the selection mode:
- S -> for standard
- E -> for extended
- A -> for adding
- B -> for block

I don't know if those letter could be international or need to be customized to match different locales (at least for what I know the same letter would work in an Italian and English locale)

let's see what the UX-team thinks about.
Comment 2 tommy27 2015-01-17 09:27:29 UTC
Created attachment 112376 [details]
selection mode status bar icon
Comment 3 Robinson Tryon (qubit) 2016-08-25 04:21:40 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2017-07-18 12:47:27 UTC
Showing the icon depending on the actual state shouldn't be too difficult. EASYHACK?
Comment 5 Heiko Tietze 2018-10-05 11:43:23 UTC
Andreas, Rizal, Matthias: Please take a look at the icons.
Comment 6 Heiko Tietze 2018-10-05 12:17:22 UTC
Maxim, do we really have only one icon for all states? Shall we change this or just (re-)add the textual description?
Comment 7 QA Administrators 2020-12-21 03:43:58 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug